#include "alt_types.h" // alt_u32, alt_u8
#include "ltm.h"
#include "ltm_regs.h"  // register map of ltm controller

void ltm_write_rgb_to_pixel(alt_u32 base, alt_u16 x, alt_u16 y, alt_u8 r, alt_u8 g, alt_u8 b) {
  alt_u32 offset;
  alt_u32 data;
  
  // Todo!! offset
  
  data = g & 0xff;
  data = (data << 8) | (r & 0xff);
  data = (data << 8) | (g & 0xff);
  data = (data << 8) | (b & 0xff);
  
  IOWR_LTM_RGB(base + offset, data);
}
